Skip to main content
`Ctrl`+`K`

# NEPSLPSetEPS

Associate a linear eigensolver object (`EPS`) to the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPSetEPS(NEP nep,EPS eps)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- eps - the linear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPGetEPS()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPSetEPS_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages